Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452702 - No sound on Acer Travelmate 250 running Fresh Install of Fedora 9.
Summary: No sound on Acer Travelmate 250 running Fresh Install of Fedora 9.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 9
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 15:17 UTC by buster1100
Modified: 2008-09-09 20:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-09 20:04:18 UTC


Attachments (Terms of Use)
Anacdump.txt file created when install failed. (deleted)
2008-06-25 16:08 UTC, buster1100
no flags Details

Description buster1100 2008-06-24 15:17:17 UTC
Description of problem:


Version-Release number of selected component (if applicable): Fedora 9


How reproducible: Fresh Install on Acer Travelmate 250


Steps to Reproduce: Fresh Install on Acer Travelmate 250


1.
2.
3.
  
Actual results: No Sound.


Expected results: Sound.


Additional info: Tried many ideas found on web.

Comment 1 Paul Howarth 2008-06-24 15:32:43 UTC
Changing component to pulseaudio at that will be nearer to being the right
component...

Comment 2 buster1100 2008-06-24 16:09:52 UTC
Thank you.
(In reply to comment #1)
> Changing component to pulseaudio at that will be nearer to being the right
> component...



Comment 3 buster1100 2008-06-25 16:08:38 UTC
Created attachment 310282 [details]
Anacdump.txt file created when install failed.

This file was created in root and was obtained by booting the server from
cd-rom.

Comment 4 buster1100 2008-06-25 16:12:00 UTC
Please ignore Comment #3. I uploaded to wrong bug.

Comment 5 buster1100 2008-06-26 13:23:29 UTC
As a test I tried Ubuntu Desktop 8 and the sound works after the install.
So it looks like the Fedora Kernel does not have drivers or modules to handle 
the Acer Travelmate 250 soundcard.

Comment 6 Lennart Poettering 2008-06-26 18:27:20 UTC
What exactly doesn't work? Do the applications fail or do just hear nothing?

Comment 7 buster1100 2008-06-26 19:20:05 UTC
Hi Lennart, The application does not fail. I did a sound test from within the 
GUI sound system settings. Just no sound from speaker at all. I also have dual 
boot WinXP partition and the sound works fine. I also tried Ubuntu and the 
sound works when I did the same exact test. Looks like Fedora cannot detect 
the sound card or we have a driver issue. These are all fresh installs. I have 
not done any configurations as yet. Thanks.


Comment 8 buster1100 2008-07-03 04:06:21 UTC
Hope this helps.

/usr/bin/pulseaudio

[WARN  3508] polkit-session.c:144:polkit_session_set_uid(): session != NULL
 Not built with -rdynamic so unable to print a backtrace
E: polkit.c: Cannot set UID on session object.
W: pid.c: Stale PID file, overwriting.
W: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
W: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM front:0
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround40:0
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround41:0
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround50:0
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51:0
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround71:0
ALSA lib pcm_hw.c:1240:(_snd_pcm_hw_open) Invalid value for card
E: alsa-util.c: Error opening PCM device hw:0: No such file or directory
E: module.c: Failed to load  module "module-alsa-sink" (argument: "device_id=0
sink_name=alsa_output.pci_8086_24c5_sound_card_0_alsa_playback_0"):
initialization failed.
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM front:0
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround40:0
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround41:0
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround50:0
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround51:0
ALSA lib conf.c:3952:(snd_config_expand) Unknown parameters 0
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM surround71:0
ALSA lib pcm_hw.c:1240:(_snd_pcm_hw_open) Invalid value for card
E: alsa-util.c: Error opening PCM device hw:0: No such file or directory
E: module.c: Failed to load  module "module-alsa-source" (argument: "device_id=0
source_name=alsa_input.pci_8086_24c5_sound_card_0_alsa_capture_0"):
initialization failed.
No protocol specified
E: x11wrap.c: XOpenDisplay() failed
E: module.c: Failed to load  module "module-x11-publish" (argument: ""):
initialization failed.
E: main.c: Module load failed.




Comment 9 buster1100 2008-07-14 03:06:35 UTC
Hello, Any status? Thanks.


Comment 10 Lennart Poettering 2008-07-15 21:41:41 UTC
Hmm? Have you been starting PA in this dump as root? It is supposed to be
started as normal user, from a normal session.

Please run "pulseaudio -k" and then "pulseaudio -vv" in a terminal and paste the
output.

Comment 11 buster1100 2008-07-19 18:12:38 UTC
Thank you. Output below. Regards.

$ pulseaudio -k
E: main.c: Failed to kill daemon.

$ pulseaudio -vv
I: main.c: PolicyKit refuses acquire-high-priority privilige.
I: main.c: We're in the group 'pulse-rt', allowing real-time and high-priority
scheduling.
I: core-util.c: Successfully gained nice level -11.
W: pid.c: Stale PID file, overwriting.
W: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
W: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
I: main.c: This is PulseAudio 0.9.10
I: main.c: Page size is 4096 bytes
I: main.c: Fresh high-resolution timers available! Bon appetit!
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9/modules/module-hal-detect.so': success
I: module-hal-detect.c: Trying capability alsa
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/computer_alsa_timer
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/computer_alsa_sequencer
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_24c6_sound_card_0_alsa_playback_0
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_24c6_sound_card_0_alsa_capture_0
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_24c6_sound_card_0_alsa_control__1
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_24c5_sound_card_0_alsa_playback_4
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_24c5_sound_card_0_alsa_capture_3
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_24c5_sound_card_0_alsa_capture_2
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_24c5_sound_card_0_alsa_capture_1
D: module-hal-detect.c: Loading module-alsa-sink with arguments 'device_id=0
sink_name=alsa_output.pci_8086_24c5_sound_card_0_alsa_playback_0'
D: alsa-util.c: Trying front:0...
I: module-alsa-sink.c: Successfully opened device front:0.
I: module-alsa-sink.c: Successfully enabled mmap() mode.
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
I: alsa-util.c: Unable to attach to mixer front:0: No such file or directory
I: alsa-util.c: Successfully attached to mixer 'hw:0'
I: alsa-util.c: Using mixer control "Master".
I: sink.c: Created sink 0
"alsa_output.pci_8086_24c5_sound_card_0_alsa_playback_0" with sample spec "s16le
2ch 44100Hz"
I: source.c: Created source 0
"alsa_output.pci_8086_24c5_sound_card_0_alsa_playback_0.monitor" with sample
spec "s16le 2ch 44100Hz"
I: module-alsa-sink.c: Using 4 fragments of size 4408 bytes.
I: alsa-util.c: All 2 channels can be mapped to mixer channels. Using hardware
volume control.
D: module-alsa-sink.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+29
I: module-alsa-sink.c: Starting playback.
I: module.c: Loaded "module-alsa-sink" (index: #0; argument: "device_id=0
sink_name=alsa_output.pci_8086_24c5_sound_card_0_alsa_playback_0").
D: module-hal-detect.c: Loading module-alsa-source with arguments 'device_id=0
source_name=alsa_input.pci_8086_24c5_sound_card_0_alsa_capture_0'
D: alsa-util.c: Trying front:0...
I: module-alsa-source.c: Successfully opened device front:0.
I: module-alsa-source.c: Successfully enabled mmap() mode.
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
I: alsa-util.c: Unable to attach to mixer front:0: No such file or directory
I: alsa-util.c: Successfully attached to mixer 'hw:0'
I: alsa-util.c: Using mixer control "Capture".
I: source.c: Created source 1
"alsa_input.pci_8086_24c5_sound_card_0_alsa_capture_0" with sample spec "s16le
2ch 44100Hz"
I: module-alsa-source.c: Using 4 fragments of size 4408 bytes.
I: alsa-util.c: All 2 channels can be mapped to mixer channels. Using hardware
volume control.
D: module-alsa-source.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+28
I: module.c: Loaded "module-alsa-source" (index: #1; argument: "device_id=0
source_name=alsa_input.pci_8086_24c5_sound_card_0_alsa_capture_0").
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_24c5_sound_card_0_alsa_control__1
I: module-hal-detect.c: Loaded 2 modules.
I: module.c: Loaded "module-hal-detect" (index: #2; argument: "").
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9/modules/module-esound-protocol-unix.so': success
I: module.c: Loaded "module-esound-protocol-unix" (index: #3; argument: "").
I: protocol-native.c: loading cookie from disk.
I: module.c: Loaded "module-native-protocol-unix" (index: #4; argument: "").
I: module.c: Loaded "module-volume-restore" (index: #5; argument: "").
D: module-default-device-restore.c: No previous default sink setting, ignoring.
D: module-default-device-restore.c: No previous default source setting, ignoring.
I: module.c: Loaded "module-default-device-restore" (index: #6; argument: "").
I: module.c: Loaded "module-rescue-streams" (index: #7; argument: "").
D: module-suspend-on-idle.c: Sink
alsa_output.pci_8086_24c5_sound_card_0_alsa_playback_0 becomes idle.
D: module-suspend-on-idle.c: Source
alsa_output.pci_8086_24c5_sound_card_0_alsa_playback_0.monitor becomes idle.
D: module-suspend-on-idle.c: Source
alsa_input.pci_8086_24c5_sound_card_0_alsa_capture_0 becomes idle.
I: module.c: Loaded "module-suspend-on-idle" (index: #8; argument: "").
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9/modules/module-gconf.so': success
I: module.c: Loaded "module-gconf" (index: #9; argument: "").
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9/modules/module-x11-publish.so': success
D: module-x11-publish.c: using already loaded auth cookie.
I: module.c: Loaded "module-x11-publish" (index: #10; argument: "").
I: main.c: Daemon startup complete.
D: module-hal-detect.c: dbus: interface=org.freedesktop.DBus,
path=/org/freedesktop/DBus, member=NameAcquired
I: module-suspend-on-idle.c: Sink
alsa_output.pci_8086_24c5_sound_card_0_alsa_playback_0 idle for too long,
suspending ...
I: module-alsa-sink.c: Device suspended...
I: module-suspend-on-idle.c: Source
alsa_input.pci_8086_24c5_sound_card_0_alsa_capture_0 idle for too long,
suspending ...
I: module-alsa-source.c: Device suspended...
I: module-suspend-on-idle.c: Source
alsa_output.pci_8086_24c5_sound_card_0_alsa_playback_0.monitor idle for too
long, suspending ...
I: client.c: Created 0 "EsounD client (UNIX socket client)"




Comment 12 buster1100 2008-07-30 01:34:20 UTC
Good Evening Gentlemen, What do you suggest I do? Thanks.


Comment 13 Lennart Poettering 2008-08-06 13:44:43 UTC
The output you posted shows that everything is being initialized correctly. Which probaly means that your mixer is just badly set up. Please run "alsamixer -c0" in a terminal and play around with the settings.

Comment 14 Lennart Poettering 2008-09-09 20:04:18 UTC
Closing, due to no response.


Note You need to log in before you can comment on or make changes to this bug.